Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.signature.domain
Class CadesOption

    java.lang.Object
      be.fgov.ehealth.technicalconnector.signature.domain.CadesOption

    public final class CadesOption

extends Object

List of options that can be passed as CadesOption.

Field Summary
`static String` | `ENCAPSULATE` Parameter to specify if the original message should be wrapped in the response The value must be a `Boolean`.
`static String` | `SIGNATUREALGORITHM` Parameter to specify the signatureAlgorithm The value must be a `String`.
`static String` | `SIGNATUREDIGEST` Deprecated. not longer used. SIGNATUREALGORITHM must be used by for changing the algorthim.
`static String` | `SIGNEDATTRIBUTEGENERATOR` Parameter to specify which attributes should be used to generate the signed attributes The value must be a `CMSAttributeTableGenerator`.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIGNATUREDIGEST

    @Deprecated
    public static final String SIGNATUREDIGEST

  Deprecated. not longer used. SIGNATUREALGORITHM must be used by for changing the algorthim.
  Paramater used to specify the signature digest to be used in the cades. The value of must be a `String`

  See Also:
    Constant Field Values

### SIGNATUREALGORITHM

    public static final String SIGNATUREALGORITHM

  Parameter to specify the signatureAlgorithm

  The value must be a `String`. The default values is: Sha1WithRSA

  See Also:
    Constant Field Values

### ENCAPSULATE

    public static final String ENCAPSULATE

  Parameter to specify if the original message should be wrapped in the response

  The value must be a `Boolean`. The default values is: false

  See Also:
    Constant Field Values

### SIGNEDATTRIBUTEGENERATOR

    public static final String SIGNEDATTRIBUTEGENERATOR

  Parameter to specify which attributes should be used to generate the signed attributes

  The value must be a `CMSAttributeTableGenerator`. The default values is: `DefaultSignedAttributeTableGenerator`

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.